umbrello: TestAssociation Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Slots | Protected Attributes | Private Slots | List of all members
TestAssociation Class Reference

`#include <testassociation.h>`

Inheritance diagram for TestAssociation:

## Protected Slots
void | initTestCase ()
void | cleanupTestCase ()
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)

## Protected Attributes
SetLoading * | _sl
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Private Slots
void | test_equal ()
void | test_toString ()
void | test_UMLRole ()
void | test_associationType ()
void | test_objectID ()
void | test_visibility ()
void | test_changeability ()
void | test_multiplicity ()
void | test_roleName ()
void | test_roleDoc ()
void | resolveRef ()
void | test_saveAndLoad ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)

## Member Function Documentation

## ◆ cleanupTestCase

void TestAssociation::cleanupTestCase | ( |  | ) |
| inlineprotectedslot

## ◆ initTestCase

void TestAssociation::initTestCase | ( |  | ) |
| inlineprotectedslot

## ◆ resolveRef

void TestAssociation::resolveRef | ( |  | ) |
| privateslot

## ◆ test_associationType

void TestAssociation::test_associationType | ( |  | ) |
| privateslot

## ◆ test_changeability

void TestAssociation::test_changeability | ( |  | ) |
| privateslot

## ◆ test_equal

void TestAssociation::test_equal | ( |  | ) |
| privateslot

## ◆ test_multiplicity

void TestAssociation::test_multiplicity | ( |  | ) |
| privateslot

## ◆ test_objectID

void TestAssociation::test_objectID | ( |  | ) |
| privateslot

## ◆ test_roleDoc

void TestAssociation::test_roleDoc | ( |  | ) |
| privateslot

## ◆ test_roleName

void TestAssociation::test_roleName | ( |  | ) |
| privateslot

## ◆ test_saveAndLoad

void TestAssociation::test_saveAndLoad | ( |  | ) |
| privateslot

## ◆ test_toString

void TestAssociation::test_toString | ( |  | ) |
| privateslot

## ◆ test_UMLRole

void TestAssociation::test_UMLRole | ( |  | ) |
| privateslot

## ◆ test_visibility

void TestAssociation::test_visibility | ( |  | ) |
| privateslot

## Member Data Documentation

## ◆ _sl

SetLoading* TestAssociation::_sl
| protected

The documentation for this class was generated from the following files:

- unittests/testassociation.h
- unittests/testassociation.cpp